Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706566 - net-analyzer/hping-3_pre20141226 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/hping-3_pre20141226 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 22:03 UTC by Toralf Förster
Modified: 2020-01-27 00:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.13 KB, text/plain)
2020-01-26 22:03 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,41.52 KB, text/plain)
2020-01-26 22:03 UTC, Toralf Förster
Details
environment (environment,77.42 KB, text/plain)
2020-01-26 22:03 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.53 KB, application/x-bzip)
2020-01-26 22:03 UTC, Toralf Förster
Details
net-analyzer:hping-3_pre20141226:20200126-220036.log (net-analyzer:hping-3_pre20141226:20200126-220036.log,15.26 KB, text/plain)
2020-01-26 22:03 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.49 KB, application/x-bzip)
2020-01-26 22:03 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 22:03:22 UTC
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -Wall      apd.c
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -Wall      split.c
x86_64-pc-linux-gnu-gcc -c -O2 -pipe -march=native -fno-common -Wall      rapd.c
x86_64-pc-linux-gnu-gcc -o hping3 -O2 -pipe -march=native -fno-common -Wall    -Wl,-O1 -Wl,--as-needed  main.o getifname.o getlhs.o parseoptions.o datafiller.o datahandler.o gethostname.o binding.o getusec.o opensockraw.o logicmp.o waitpacket.o resolve.o sendip.o sendicmp.o sendudp.o sendtcp.o cksum.o statistics.o usage.o version.o antigetopt.o sockopt.o listen.o sendhcmp.o memstr.o rtt.o relid.o sendip_handler.o libpcap_stuff.o memlockall.o memunlockall.o memlock.o memunlock.o ip_opt_build.o display_ipopt.o sendrawip.o signal.o send.o strlcpy.o arsglue.o random.o scan.o hstring.o script.o interface.o adbuf.o hex.o apdutils.o sbignum.o sbignum-tables.o ars.o apd.o split.o rapd.o -L/usr/lib64 -lpcap  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: getifname.o:(.bss+0x0): multiple definition of `delaytable'; main.o:(.bss+0x3140): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: getlhs.o:(.bss+0x0): multiple definition of `delaytable'; main.o:(.bss+0x3140): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 20:26:16 +0000

emerge -qpvO net-analyzer/hping
[ebuild  N    ] net-analyzer/hping-3_pre20141226  USE="-tcl"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 22:03:25 UTC
Created attachment 605014 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 22:03:28 UTC
Created attachment 605016 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 22:03:31 UTC
Created attachment 605018 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 22:03:33 UTC
Created attachment 605020 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 22:03:36 UTC
Created attachment 605022 [details]
net-analyzer:hping-3_pre20141226:20200126-220036.log
Comment 6 Toralf Förster gentoo-dev 2020-01-26 22:03:39 UTC
Created attachment 605024 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-01-27 00:44:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5e5f0a4194fe88aafa939045d92391eeeb87bff

commit b5e5f0a4194fe88aafa939045d92391eeeb87bff
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-27 00:44:34 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-27 00:44:50 +0000

    net-analyzer/hping: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706566
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/hping/files/hping-3_pre20141226-fno-common.patch | 11 +++++++++++
 net-analyzer/hping/hping-3_pre20141226.ebuild                 |  3 ++-
 2 files changed, 13 insertions(+), 1 deletion(-)